Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Mehrere Volumenkörper strecken

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Mehrere Volumenkörper strecken (262 mal gelesen)
Steffschenko
Mitglied


Sehen Sie sich das Profil von Steffschenko an!   Senden Sie eine Private Message an Steffschenko  Schreiben Sie einen Gästebucheintrag für Steffschenko

Beiträge: 5
Registriert: 24.09.2017

AutoCAD 2016

erstellt am: 10. Okt. 2017 00:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


ArianaArmchair-Steff.dwg

 
Hey Leute,

ich habe zu einem vorgegeben Couch-Design die Unterkonstruktion gemacht und möchte den 1-Sitzer praktisch komplett in der Mitte strecken um so 2-und 3-Sitzer zu erhalten. Leider komme ich hier nicht weiter, da "Strecken" ja nur verschiebt und ich auch keine markierbaren Griffe habe.

Habt ihr da zufällig Lösungsvorschläge parat?


Zudem möchte ich noch die Polsterung um die Unterkonstruktion in 3D zeichnen, doch finde ich da keinen vernünftigen Ansatz.

Wie gehe ich denn da am besten heran? Finde sone Polsterung zu zeichnen schon echt hart...


Grüße aus Braunschweig, Steffen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bbernd
Mitglied
Technischer Zeichner / Zimmerermeister


Sehen Sie sich das Profil von bbernd an!   Senden Sie eine Private Message an bbernd  Schreiben Sie einen Gästebucheintrag für bbernd

Beiträge: 1162
Registriert: 20.02.2009

AutoCAD -2018
Gimp 2.8
TurboCAD 17
DraftSight 2D
Windows7 Pro 64bit
16 GB Arbeitsspeicher
NVIDIA Quadro FX 1800

erstellt am: 10. Okt. 2017 07:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Steffschenko 10 Unities + Antwort hilfreich


Volumenkorperverlangern.pdf

 
Hallo Steffen,

hier mal eine Anleitung, wie ich vorgehe.
Volumenkörper die schon mal bearbeitet wurden haben keine Griffe mehr.

------------------
Gruß Bernd

[Diese Nachricht wurde von bbernd am 10. Okt. 2017 editiert.]

[Diese Nachricht wurde von bbernd am 10. Okt. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5221
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2018

erstellt am: 10. Okt. 2017 07:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Steffschenko 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Steffschenko:

[Volumenkörper strecken)
Habt ihr da zufällig Lösungsvorschläge parat?

Das Thema tauchte hier schon des öfteren auf. Benutze zunächst mal die Suchfunktion. Einen der letzen Beiträge habe ich mal für Dich  rausgesucht.

Was Deine Polsterung angeht: Da müßtest Du uns schon mitteilen, wie die aussehen soll. Ganz allgemein würde ich sagen, daß sich da die Flächen-/bzw- Netzmodellierung anbieten dürfte. (Wir kennen Deine ACAD-Kennntnisse nicht).


Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bbernd
Mitglied
Technischer Zeichner / Zimmerermeister


Sehen Sie sich das Profil von bbernd an!   Senden Sie eine Private Message an bbernd  Schreiben Sie einen Gästebucheintrag für bbernd

Beiträge: 1162
Registriert: 20.02.2009

AutoCAD -2018
Gimp 2.8
TurboCAD 17
DraftSight 2D
Windows7 Pro 64bit
16 GB Arbeitsspeicher
NVIDIA Quadro FX 1800

erstellt am: 10. Okt. 2017 08:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Steffschenko 10 Unities + Antwort hilfreich

Hallo Jürgen,

danke für den Link.

------------------
Gruß Bernd

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Steffschenko
Mitglied


Sehen Sie sich das Profil von Steffschenko an!   Senden Sie eine Private Message an Steffschenko  Schreiben Sie einen Gästebucheintrag für Steffschenko

Beiträge: 5
Registriert: 24.09.2017

AutoCAD 2016

erstellt am: 10. Okt. 2017 10:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für den Link!

Verstehe in dem Thread nur böhmische Dörfer. Wie kann ich denn den LISP-Text in AutoCAD einbinden? Kenne nur die "fertigen" LISP-Dateien.

Die Polsterung soll in etwa so aussehen: https://www.made.com/ariana-armchair-taupe-linen-mix

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5221
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2018

erstellt am: 10. Okt. 2017 12:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Steffschenko 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Steffschenko:
Wie kann ich denn den LISP-Text in AutoCAD einbinden?

eine von mehreren Möglichkeiten: Den Code in eine Textdatei kopieren. Diese unter beliebigem Namen mit der Erweiterung .lsp abspeichern.
Wie man diese LISP-Datei dann lädt, findest Du in der FAQ beschrieben.
Der Code aus diesem Beitrag definiert einen neuen Befehl "3D-Strecken", den Du wie gewohnt in der Befehlzeile eingeben kannst.
Warum, an Deiner Datei getestet, der Fuß und der Balken Fuß-Lehne nicht mit verschoben werden, kann ich jetzt auf die Schnelle nicht sagen. Bei Gelegenheit kann ich (oder jemand anderes) mal nachschauen, wo's da noch klemmt. Bis zu einer Lösung kannst Du die beiden Teile natürlich rasch manuell nachträglich verschieben. Die nach dem Strecken fehlenden Federn mußt Du ohnehin nachträglich kopieren.
[NACHTRAG]: Besser wäre ohnehin, die Federn als Reiheobjekt einzufügen. Dann brauchst Du bei Änderung der Möbelbreite nur die Werte des Reiheobjektes anzupassen.

Die Polsterung soll in etwa so aussehen
Das ist IMO ein Paradebeispiel für die Netzmodellierung. Mußt Dich evtl. (wenn nicht bereits geschehen) mal mit dem Thema beschäftigen.


Jürgen


------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 10. Okt. 2017 editiert.]

[Diese Nachricht wurde von jupa am 10. Okt. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5221
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2018

erstellt am: 10. Okt. 2017 13:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Steffschenko 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von jupa:
... mal nachschauen, wo's da noch klemmt.

Probier mal diesen leicht geänderten Code, ob das Deinen Vorstellungen entspricht.


(defun c:3D-Strecken (/ OS p1 p2 sp1 sp2)

  (command (setvar "subobjselectionmode" 3)
   "_move"
   "_SU"
   "_w"
   (setq p1 (getpoint "\nfirst corner point"))
   (setq p2 (getcorner p1 "\nsecond corner point"))
   ""
   (setq SP1 (getpoint "\nErster Streckpunkt: "))
   (setq SP2 (getpoint SP1 "\nZweiter Streckpunkt: "))
  )
  (command
    ;;;(setvar "subobjselectionmode" 0)  ;[EDIT]
    "_Stretch"
    "_w"      ;EDIT
    p1
    p2
   ; "_R"     ;EDIT
   ; "_P"     ;EDIT
    ""
    SP1
    SP2
  )
(setvar "subobjselectionmode" 0)    ;[EDIT]
)

Nochmals überarbeitet:

(defun c:3D-Strecken (/ p1 p2 sp1 sp2)

  (setvar "subobjselectionmode" 3)
  (setq p1 (getpoint "\nfirst corner point"))
  (setq p2 (getcorner p1 "\nsecond corner point"))
  (command
    "_move"
    "_W"
    p1
    p2
    ""
    (setq SP1 (getpoint "\nErster Streckpunkt: "))
    (setq SP2 (getpoint SP1 "\nZweiter Streckpunkt: "))
    "_move"
    "_SU"
    "_w"
    p1
    p2
    ""
    SP1
    SP2
  )
  (setvar "subobjselectionmode" 0)
  (princ)
)


Falls Du tatsächlich noch Polsterung per Netzmodellierung anbringst, wird das eine ganz neue Baustelle ...  


Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 10. Okt. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Steffschenko
Mitglied


Sehen Sie sich das Profil von Steffschenko an!   Senden Sie eine Private Message an Steffschenko  Schreiben Sie einen Gästebucheintrag für Steffschenko

Beiträge: 5
Registriert: 24.09.2017

AutoCAD 2016

erstellt am: 10. Okt. 2017 17:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin, ich habs jetzt manuell irgendwie hinbekommen und die Polsterung habe ich modelliert. Zwar nicht perfekt aber fürs erste Mal ganz gut  .

Die .lsp Datei erscheint bei mir nicht in ACad, wenn ich sie mit appload laden möchte. Sprich, der Ordner, in welchem sie liegt, ist leer. Obwohl es eine name.lsp Textdatei ist.

Ich verstehe nicht wieso sowas nicht von Haus aus machbar ist. Zumindest in meinem zukünftigen Anwendungsbereich (industrielle Möbelkonstruktion), muss man sowas dauernd anwenden. Naja hat wohl Gründe warum es hierfür spezialisierte Programme gibt. 

Auf jeden Fall Danke für die Mühen Jürgen!!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5221
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2018

erstellt am: 10. Okt. 2017 17:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Steffschenko 10 Unities + Antwort hilfreich


171010-Appload-Fenster.png

 
Zitat:
Original erstellt von Steffschenko:
der Ordner, in welchem sie liegt, ist leer. Obwohl es eine name.lsp Textdatei ist.

Wenn diese Aussage stimmt fällt mir momentan nur ein, daß appload im falschen Ordner oder nicht nach .lsp-Dateien sucht. (s. Bild -> )
 


Jürgen

------------------
Bildung kommt nicht vom Lesen, sondern vom Nachdenken über das Gelesene. (Carl Hilty)

[Diese Nachricht wurde von jupa am 10. Okt. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Wilfried Nelkel
Mitglied
glaubt mir eh keiner


Sehen Sie sich das Profil von Wilfried Nelkel an!   Senden Sie eine Private Message an Wilfried Nelkel  Schreiben Sie einen Gästebucheintrag für Wilfried Nelkel

Beiträge: 755
Registriert: 15.03.2001

AutoCAD/ADT/ACA 2002 - 2017, Hardware: HP Z620 Workstation, Xeon E5-1620 € 3,60 GHz, 24 GB RAM, PNY Quadro K2000, Windows 7-64bit .....
ATC-Trainer

erstellt am: 10. Okt. 2017 19:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Steffschenko 10 Unities + Antwort hilfreich

Hy. Ich weiß nicht wie Dein Sofa aussieht. (Doch habs mir angesehen).

Isoliere die Volumenkörper, verschiebe die eine Seite nach rechts die so bleiben soll wie sie ist.

Nun musst Du die Teile einzeln strecken.
Wähle die Seite die gestreckt werden soll mal mit gedrückter StRG-Taste aus (Kreuzen-Fenster).
Dann aktiviere einen der vielen roten Griffe und zeige in die Streckrichtung.

Könnte funktonieren.

Mit der StRG-Taste aktivierst Du die Kantenwahl bei Volumenkörper...

------------------
Schöne Grüsse


Wilfried Nelkel
CAD-Technik Nelkel GmbH
http://www.cad-nelkel.de
http://www.schulungshandbuch.de

[Diese Nachricht wurde von Wilfried Nelkel am 10. Okt. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de